org.apache.flume.channel.file.proto

## Interface ProtosFactory.LogFileEncryptionOrBuilder

- All Superinterfaces:
    com.google.protobuf.MessageLiteOrBuilder, com.google.protobuf.MessageOrBuilder
  All Known Implementing Classes:
    ProtosFactory.LogFileEncryption, ProtosFactory.LogFileEncryption.Builder
  Enclosing class:
    ProtosFactory

      public static interface ProtosFactory.LogFileEncryptionOrBuilder
      extends com.google.protobuf.MessageOrBuilder

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getCipherProvider()` `required string cipherProvider = 1;`
    `com.google.protobuf.ByteString` | `getCipherProviderBytes()` `required string cipherProvider = 1;`
    `String` | `getKeyAlias()` `required string keyAlias = 2;`
    `com.google.protobuf.ByteString` | `getKeyAliasBytes()` `required string keyAlias = 2;`
    `com.google.protobuf.ByteString` | `getParameters()` `optional bytes parameters = 3;`
    `boolean` | `hasCipherProvider()` `required string cipherProvider = 1;`
    `boolean` | `hasKeyAlias()` `required string keyAlias = 2;`
    `boolean` | `hasParameters()` `optional bytes parameters = 3;`

    - ### Methods inherited from interface com.google.protobuf.MessageOrBuilder

      `findInitializationErrors, getAllFields, getDefaultInstanceForType, getDescriptorForType, getField, getInitializationErrorString, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField`

    - ### Methods inherited from interface com.google.protobuf.MessageLiteOrBuilder

      `isInitialized`

- - ### Method Detail

    - #### hasCipherProvider

          boolean hasCipherProvider()

      `required string cipherProvider = 1;`

    - #### getCipherProvider

          String getCipherProvider()

      `required string cipherProvider = 1;`

    - #### getCipherProviderBytes

          com.google.protobuf.ByteString getCipherProviderBytes()

      `required string cipherProvider = 1;`

    - #### hasKeyAlias

          boolean hasKeyAlias()

      `required string keyAlias = 2;`

    - #### getKeyAlias

          String getKeyAlias()

      `required string keyAlias = 2;`

    - #### getKeyAliasBytes

          com.google.protobuf.ByteString getKeyAliasBytes()

      `required string keyAlias = 2;`

    - #### hasParameters

          boolean hasParameters()

      `optional bytes parameters = 3;`

    - #### getParameters

          com.google.protobuf.ByteString getParameters()

      `optional bytes parameters = 3;`

Copyright © 2009-2016 Apache Software Foundation. All Rights Reserved.